# geos::precision Namespace Reference

Provides classes for manipulating the precision model of Geometries. More...

## Classes

class | CommonBits
| Determines the maximum number of common most-significant bits in the mantissa of one or numbers. More...
class | CommonBitsOp
| Provides versions of Geometry spatial functions which use common bit removal to reduce the likelihood of robustness problems. More...
class | CommonBitsRemover
| Allow computing and removing common mantissa bits from one or more Geometries. More...
class | EnhancedPrecisionOp
| Provides versions of Geometry spatial functions which use enhanced precision techniques to reduce the likelihood of robustness problems. More...
class | SimpleGeometryPrecisionReducer
| Reduces the precision of a Geometry according to the supplied PrecisionModel, without attempting to preserve valid topology. More...

## Detailed Description

Provides classes for manipulating the precision model of Geometries.